Package com.mckoi.database

## Class DataIndexDef

- java.lang.Object
- - com.mckoi.database.DataIndexDef

    public class DataIndexDef
    extends java.lang.Object

Represents index meta-information on a table. This information is part of DataIndexSetDef and is stored with the contents of a table.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`DataIndexDef​(DataIndexDef def)`
`DataIndexDef​(java.lang.String index_name, java.lang.String[] column_names, int index_pointer, java.lang.String index_type, boolean unique)` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String[]` `getColumnNames()` Returns the column names that make up this index.
`java.lang.String` `getName()` Returns the name of this index.
`int` `getPointer()` Returns the pointer to the index in the IndexSet.
`java.lang.String` `getType()` Returns a String that describes the type of index this is.
`boolean` `isUniqueIndex()` Returns true if this is a unique index.
`static DataIndexDef` `read​(java.io.DataInput din)` Reads a DataIndexDef from the given DataInput object.
`void` `write​(java.io.DataOutput dout)` Writes this object to the given DataOutputStream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataIndexDef

    public DataIndexDef​(java.lang.String index_name,
                        java.lang.String[] column_names,
                        int index_pointer,
                        java.lang.String index_type,
                        boolean unique)

Constructor.

#### DataIndexDef

    public DataIndexDef​(DataIndexDef def)

### Method Detail

#### getName

    public java.lang.String getName()

Returns the name of this index.

#### getColumnNames

    public java.lang.String[] getColumnNames()

Returns the column names that make up this index.

#### getPointer

    public int getPointer()

Returns the pointer to the index in the IndexSet.

#### getType

    public java.lang.String getType()

Returns a String that describes the type of index this is.

#### isUniqueIndex

    public boolean isUniqueIndex()

Returns true if this is a unique index.

#### write

    public void write​(java.io.DataOutput dout)
               throws java.io.IOException

Writes this object to the given DataOutputStream.

Throws:
  `java.io.IOException`

#### read

    public static DataIndexDef read​(java.io.DataInput din)
                             throws java.io.IOException

Reads a DataIndexDef from the given DataInput object.

Throws:
  `java.io.IOException`